Subject: Re: [PATCH] format-patch: add --prefix to prepend a prefix to output file names

From: Johannes Sixt <[email-masked]>
Date: Tue, 09 Jun 2009 15:30:47 +0200

Nguyễn Thái Ngọc Duy schrieb:
> I use git to manages patches in my Gentoo development. In Gentoo,
> all ebuilds (another form of RPM spec) corresponding to different
> versions of the same package are grouped into one directory. So patches
> for each versions usually have a prefix to separate them from the ones
> for other versions. With --prefix it comes handy to produce such patches,
> for example:
> 
> git format-patch --prefix dbus-1.2.3- HEAD~5
> 
> will generate patches for dbus-1.2.3 for me, all starting with "dbus-1.2.3-".

Can't you use --output-directory/-o? It is not the same, but almost.

-- Hannes